Save GST Monthly or Quarterly Filing Preference
PUT
https://apisandbox.whitebooks.in/all/saveprefUsed to Save Preference
Parameters
query parameters
emailstringrequiredAPI Developer User Email
header parameters
gstinstringrequiredGST Number
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN
Example: "02SUPHP0001A1ZI"
fystringoptionalExample: "2019-20"
quarterstringoptionalquarter value
Example: "Q1"
preferencestringoptionalPreference value
Example: "Q"
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/all/savepref. Required parameters: email (query parameter), gstin (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save Preference (PUT
/all/savepref), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to Save Preference
No example available.